convert-to-cstring
Prev | Strings | Next

## Name

convert-to-cstring — Converts a Lisp string to a cstring.Macro

## Syntax

    	convert-to-cstring
    	string
    	=>
    	cstring

## Arguments and Values

`string`

  A Lisp string.

cstring

  A cstring.

## Description

Converts a Lisp string to a `cstring`. The `cstring` should be freed with `free-cstring`.

## Side Effects

On some implementations, this function allocates memory.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
convert-from-cstring | Home | free-cstring